<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.1.8.RELEASE</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>
	<groupId>com.protosstechnology</groupId>
	<artifactId>revPiBox</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<name>revPiBox</name>
    <packaging>jar</packaging>
	<description>Line Service Engine</description>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
		<java.version>1.8</java.version>
		<sonar.exclusions>**/com/protosstechnology/line/model/*,
			**/com/protosstechnology/line/configuration/aop/*,
			**/com/protosstechnology/line/configuration/aop/annotation/*,
			**/com/protosstechnology/line/util/*,
			**/com/protosstechnology/line/configuration/swagger/*</sonar.exclusions>
	</properties>


	<dependencies>

	  <!-- Web Layer -->
		<dependency>
	        <groupId>org.springframework.boot</groupId>
	        <artifactId>spring-boot-starter-web</artifactId>
	        <exclusions>
	            <exclusion>
	                <groupId>org.springframework.boot</groupId>
	                <artifactId>spring-boot-starter-logging</artifactId>
	            </exclusion>
	        </exclusions>
	    </dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-log4j2</artifactId>
			<exclusions>
				<exclusion>
					<groupId>org.slf4j</groupId>
					<artifactId>slf4j-log4j12</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		
		<dependency>
			<groupId>com.protosstechnology</groupId>
			<artifactId>commons-util</artifactId>
			<version>1.0.1</version>
		</dependency>
		

	<!-- Persistence Layer -->

		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<optional>true</optional>
		</dependency>

		<dependency>
            <groupId>net.sf.flexjson</groupId>
            <artifactId>flexjson</artifactId>
            <version>2.1</version>
        </dependency>

		
	<!-- Tool -->
		<dependency>
			<groupId>io.springfox</groupId>
			<artifactId>springfox-swagger-ui</artifactId>
			<version>2.9.2</version>
		</dependency>
		<dependency>
			<groupId>io.springfox</groupId>
			<artifactId>springfox-swagger2</artifactId>
			<version>2.9.2</version>
		</dependency>

		<dependency>
			<groupId>org.apache.velocity</groupId>
			    <artifactId>velocity</artifactId>
			    <version>1.7</version>
		</dependency>

		<dependency>
		     <groupId>org.apache.velocity</groupId>
		     <artifactId>velocity-tools</artifactId>
		     <version>2.0</version>
		</dependency>
		
		<dependency>
			<groupId>com.google.code.gson</groupId>
			<artifactId>gson</artifactId>
			<version>2.8.0</version>
		</dependency>
		
		<dependency>
    		<groupId>org.json</groupId>
  		  	<artifactId>json</artifactId>
 		   <version>20160810</version>
		</dependency>

	 <!-- Test Stack -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>org.jacoco</groupId>
				<artifactId>jacoco-maven-plugin</artifactId>
				<version>0.8.4</version>
				<configuration>
					<excludes>
						<exclude>**/com/protosstechnology/line/configuration/aop/*.class</exclude>
						<exclude>**/com/protosstechnology/line/configuration/aop/an/*.class</exclude>
						<exclude>**/com/protosstechnology/line/configuration/annotation/*.class</exclude>
						<exclude>**/com/protosstechnology/line/model/*.class</exclude>
						<exclude>**/com/protosstechnology/line/LineEngineApplication*.class</exclude>
						<exclude>**/com/protosstechnology/line/util/*.class</exclude>
						<exclude>**/test/*.*</exclude>
					</excludes>
				</configuration>

				<executions>
					<execution>
						<goals>
							<goal>prepare-agent</goal>
						</goals>
					</execution>
					<!-- attached to Maven test phase -->
					<execution>
						<id>report</id>
						<phase>test</phase>
						<goals>
							<goal>report</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

</project>
